package com.yunfeiyun.agmp.fms.domain.resvo;

import com.yunfeiyun.agmp.common.enums.FmsMessageResVoType;
import lombok.Data;
import org.springframework.util.CollectionUtils;

import java.util.ArrayList;
import java.util.List;

@Data
public class FmsMessageResVo {
    /**消息类型*/
    private String type;
    /**消息类型文本*/
    private String title;
    /**数据*/
    private List<FmsMessageResVoItem> data;

    public FmsMessageResVo(FmsMessageResVoType fmsMessageResVoType){
        this.type = fmsMessageResVoType.getType();
        this.title = fmsMessageResVoType.getTitle();
    }
    public List<FmsMessageResVoItem> getData(){
        if(CollectionUtils.isEmpty(this.data)){
            this.data = new ArrayList<>();
        }
        return this.data;
    }
    public void addData(FmsMessageResVoItem fmsMessageResVoItem){
        getData().add(fmsMessageResVoItem);
    }
}
